@import 'mixins';
@import 'variables';

.dropdown {
  --dropdown-border-color-default: var(--color-black-50);
  --dropdown-border-color-hover: var(--color-black-90);
  --dropdown-border-color-focus: var(--color-black-90);
  --focus-outline-color: var(--color-coat-of-arms-blue);
  --dropdown-height: 56px;
  --placeholder-color: var(--color-black-60);
  --border-width: 2px;
}

.dropdown {
  position: relative;
  background: var(--color-white);
  height: var(--dropdown-height);

  box-sizing: border-box;

  .toggleButton {
    cursor: pointer;
    border: var(--border-width) solid var(--dropdown-border-color-default);
    background: transparent;
    min-height: 3.375rem;
    padding: 0 0.875rem;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;

    &:focus {
      &::after {
        content: '';
        display: block;
        position: absolute;
        top: -3px;
        bottom: -3px;
        left: -3px;
        right: -3px;
        border-radius: 2px;
        border: 3px solid var(--focus-outline-color);
      }
    }

    &:hover {
      border-color: var(--dropdown-border-color-focus);
    }
  }

  .iconWrapper {
    display: flex;
    align-self: center;

    svg {
      margin-right: 1rem;
    }
  }

  .title {
    flex: 1 1 0%;
    text-align: left;
    color: black;
    position: relative;
    line-height: 1.5rem;
    white-space: nowrap;
    overflow: hidden;
    font-size: var(--fontsize-body-l);
    text-overflow: ellipsis;

    input {
      height: 100%;
      line-height: 1.25rem;
      padding-left: 0;
      width: 100%;
      border: none;
      outline: none;

      @include placeholder(var(--placeholder-color));
    }

    .placeholder {
      color: var(--placeholder-color);
    }
  }

  .arrowWrapper {
    display: flex;
    align-self: center;

    svg {
      margin-left: 0.75rem;
      pointer-events: none;
    }
  }

  .inputWrapper {
    position: relative;
    border-bottom: 2px solid var(--color-black-10);

    input {
      height: var(--spacing-2-xl);
      width: 100%;
      padding: 0 var(--spacing-s) 0 var(--spacing-2-xl);
      border: none;
      outline: none;
      box-sizing: border-box;
    }

    svg {
      position: absolute;
      top: 50%;
      left: var(--spacing-s);
      transform: translateY(-50%);
    }
  }
}

.dropdownItem {
  margin: 0;
  padding: calc(var(--spacing-m) / 2) 1rem;

  &--first {
    padding-top: 1rem;
  }

  &--isFocused {
    background-color: var(--color-fog);
  }
}

.checkbox--isFocused {
  background-color: var(--color-fog);
}
